# Interface methods for submodule: ScalarChanAndVeseSparseLevelSetImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import MultiphaseFiniteDifferenceImageFilterProxy as _MultiphaseFiniteDifferenceImageFilterProxy


# Interface methods for class: ScalarChanAndVeseSparseLevelSetImageFilter
class ScalarChanAndVeseSparseLevelSetImageFilterProxy(_MultiphaseFiniteDifferenceImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetNumberOfLayers(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfLayers(self) -> int:
		""""""
		...

	def SetIsoSurfaceValue(self, _arg: float) -> None:
		""""""
		...

	def GetIsoSurfaceValue(self) -> float:
		""""""
		...

	def SetInterpolateSurfaceLocation(self, _arg: bool) -> None:
		""""""
		...

	def GetInterpolateSurfaceLocation(self) -> bool:
		""""""
		...

	def InterpolateSurfaceLocationOn(self) -> None:
		""""""
		...

	def InterpolateSurfaceLocationOff(self) -> None:
		""""""
		...

	def SetFunctionCount(self, n: int) -> None:
		""""""
		...

	def SetFeatureImage(self, f) -> None:
		""""""
		...

